Bug 119367 - [PATCH] deskutils/xcalendar: add Japanese holidays in 2008
Summary: [PATCH] deskutils/xcalendar: add Japanese holidays in 2008
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-05 18:10 UTC by NAKAJI Hiroyuki
Modified: 2008-02-04 17:00 UTC (History)
1 user (show)

See Also:


Attachments
xcalendar-4.0.2006_2.patch (1.25 KB, patch)
2008-01-05 18:10 UTC, NAKAJI Hiroyuki
no flags Details | Diff
xcalendar.patch.uu (1.96 KB, text/plain)
2008-02-03 16:10 UTC, Yoshihiko Sarumaru
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2008-01-05 18:10:00 UTC
Japanese Holidays in 2008 are added to xcalendar-uj.hol.

Port maintainer (mistral@imasy.or.jp) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2008-01-05 18:10:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Yoshihiko Sarumaru 2008-01-06 13:04:00 UTC
Nakaji-san,
Thank you for your patch.

I think your patch is reasonable, but I used to change
the year part of PORTVERSION on updating holiday file.
So I want to update PORTVERSION to 4.0.2008 and remove
PORTREVISION.
# PORTREVISION may be re-introduced on next month to
# add the holiday data of 2009 in Japan.
Comment 3 NAKAJI Hiroyuki 2008-01-15 08:51:45 UTC
How about this patch?

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/deskutils/xcalendar/Makefile,v
retrieving revision 1.15
diff -u -u -r1.15 Makefile
--- Makefile	19 May 2007 20:01:55 -0000	1.15
+++ Makefile	15 Jan 2008 08:46:37 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	xcalendar
-PORTVERSION=	4.0.2006
-PORTREVISION=	1
+PORTVERSION=	4.0.2008
 CATEGORIES=	deskutils
 MASTER_SITES=	${MASTER_SITE_PORTS_JP}
 DISTNAME=	${PORTNAME}-4.0+i18n
Index: files/xcalendar-uj.hol
===================================================================
RCS file: /home/ncvs/ports/deskutils/xcalendar/files/xcalendar-uj.hol,v
retrieving revision 1.5
diff -u -u -r1.5 xcalendar-uj.hol
--- files/xcalendar-uj.hol	20 Feb 2006 14:21:38 -0000	1.5
+++ files/xcalendar-uj.hol	15 Jan 2008 08:46:03 -0000
@@ -117,3 +117,20 @@
 11/23/2007	$B6PO+46<U$NF|(B
 12/23/2007	$BE79DCB@8F|(B
 12/24/2007	$B?6BX5YF|(B
+01/01/2008	$B85F|(B
+01/14/2008	$B@.?M$NF|(B
+02/11/2008	$B7z9q5-G0$NF|(B
+03/20/2008	$B=UJ,$NF|(B
+04/29/2008	$B><OB$NF|(B
+05/03/2008	$B7{K!5-G0F|(B
+05/04/2008	$B$_$I$j$NF|(B
+05/05/2008	$B$3$I$b$NF|(B
+05/06/2008	$B?6BX5YF|(B
+07/21/2008	$B3$$NF|(B
+09/15/2008	$B7IO7$NF|(B
+09/23/2008	$B=)J,$NF|(B
+10/13/2008	$BBN0i$NF|(B
+11/03/2008	$BJ82=$NF|(B
+11/23/2008	$B6PO+46<U$NF|(B
+11/24/2008	$B?6BX5YF|(B
+12/23/2008	$BE79DCB@8F|(B

-- 
NAKAJI Hiroyuki
Comment 4 Yoshihiko Sarumaru 2008-02-03 16:10:15 UTC
Hi,

While I've been goofing off from approving this, the next year's
holidays in japan was announced officially. So I updated
nakaji-san's patch and attach it.
This patch was uuencoded because it includes native
Japanese character codes in EUC-JP.

(the port maintainer hat on)
Could someone please commit this patch?

NAKAJI san wrote:
> How about this patch?
Comment 5 dfilter service freebsd_committer 2008-02-04 16:52:17 UTC
nork        2008-02-04 16:52:08 UTC

  FreeBSD ports repository

  Modified files:
    deskutils/xcalendar  Makefile 
    deskutils/xcalendar/files xcalendar-uj.hol 
  Log:
  Add Japanese holidays in 2008 and 2009.
  
  PR:             ports/119367
  Submitted by:   NAKAJI Hiroyuki  nakaji at jp.freebsd.org
  Approved by:    Yoshihiko Sarumaru  mistral at imasy.or.jp (maintainer)
  
  Revision  Changes    Path
  1.16      +2 -2      ports/deskutils/xcalendar/Makefile
  1.6       +34 -0     ports/deskutils/xcalendar/files/xcalendar-uj.hol
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Norikatsu Shigemura freebsd_committer 2008-02-04 16:52:28 UTC
State Changed
From-To: feedback->closed

Committed, thanks!